#ifndef __DISPLAYWAITCURSOR
#define __DISPLAYWAITCURSOR

#include <qapplication.h>
#include <qcursor.h>

/** Helper class for displaying cursor.
    @date Thu Nov 25 2005
    @author Jan Wedekind (wedesoft@users.sourceforge.net) */
class DisplayWaitCursor
{
public:
  /** Constructor displays wait-cursor..
      The constructor calls
      \code
      QApplication::setOverrideCursor( QCursor( Qt::WaitCursor ) );
      \endcode
      to display a wait-cursor. */
  DisplayWaitCursor(void)
    { QApplication::setOverrideCursor( QCursor( Qt::WaitCursor ) ); }
  /** Destructor restores old cursor.
      The destructor calls
      \code
      QApplication::restoreOverrideCursor();
      \endcode
      to restore the old cursor. */
  ~DisplayWaitCursor(void) { QApplication::restoreOverrideCursor(); }
};

#endif
