#include "lamp.h"
#include "microscope.h"

using namespace mimas;
using namespace std;

void Lamp::init( Microscope *_microscope,
                 const string &minRequest,
                 const string &maxRequest,
                 const string &_readCommand,
                 const string &_writeCommand ) throw (mm_exception)
{
  microscope = _microscope;
  minValue = microscope->readInt( minRequest );
  maxValue = microscope->readInt( maxRequest );
  readCommand = _readCommand;
  writeCommand = _writeCommand;
}

int Lamp::getValue(void) const throw (mm_exception)
{
  assert( microscope != NULL );
  return microscope->readInt( readCommand );
}

void Lamp::setValue( int value ) throw (mm_exception)
{
  assert( microscope != NULL );
  microscope->sendInt( writeCommand, value );
}
