#ifndef __LAMP_H
#define __LAMP_H

#include <mimas/mm_exception.h>

class Microscope;

class Lamp
{
 public:
  Lamp(void): microscope(NULL), minValue(0), maxValue(0) {}
  Lamp( Microscope *_microscope,
        const std::string &minRequest,
        const std::string &maxRequest,
        const std::string &_readCommand,
        const std::string &_writeCommand ) throw (mimas::mm_exception)
  { init( _microscope, minRequest, maxRequest, _readCommand,
          _writeCommand ); }
  void init( Microscope *_microscope,
             const std::string &minRequest,
             const std::string &maxRequest,
             const std::string &_readCommand,
             const std::string &_writeCommand ) throw (mimas::mm_exception);
  int getMinValue(void) const { return minValue; }
  int getMaxValue(void) const { return maxValue; }
  int getValue(void) const throw (mimas::mm_exception);
  void setValue( int value ) throw (mimas::mm_exception);
 protected:
  Microscope *microscope;
  int minValue;
  int maxValue;
  std::string readCommand;
  std::string writeCommand;
};

#endif
