// Accessing the leica microscope.
// (C) Jan Wedekind, MMVL 2005

#include <iostream>
#include <qapplication.h>
#include <qmessagebox.h>
#include "leicaWindow.h"

using namespace std;

int main( int argc, char *argv[] )
{
  int retval = 0;
  QApplication app( argc, argv );
  try {
    app.setStyle( "platinum" );
    LeicaWindow window( NULL, "leicaWindow" );
    window.show();
    app.setMainWidget( &window );
    retval = app.exec();
  } catch ( exception &e ) {
    QMessageBox::critical( NULL, "Error",
                           QString( "Error on startup: %1" ).
                           arg( e.what() ),
                           QMessageBox::Ok, 0 );
    retval = 1;
  };
  return retval;
}
