#ifndef __NOSEPIECE_H
#define __NOSEPIECE_H

#include <mimas/mm_exception.h>

class Microscope;

class NosePiece
{
 public:
  NosePiece(void): microscope(NULL) {}
  NosePiece( Microscope *_microscope, const std::string &_readPositionCommand,
             const std::string &_setPositionCommandRel,
             const std::string &_setPositionCommand,
             const std::string &_readMagnificationCommand )
     throw (mimas::mm_exception)
  { init( _microscope, _readPositionCommand, _setPositionCommandRel,
          _setPositionCommand, _readMagnificationCommand ); }
  void init( Microscope *_microscope, const std::string &_readPositionCommand,
             const std::string &_setPositionCommandRel,
             const std::string &_setPositionCommand,
             const std::string &_readMagnificationCommand )
     throw (mimas::mm_exception);
  int getPosition(void) const throw (mimas::mm_exception);
  void setPositionRel( int shift ) throw (mimas::mm_exception);
  void setPosition( int position ) throw (mimas::mm_exception);
  double getMagnification( int index ) const throw (mimas::mm_exception);
 protected:
  Microscope *microscope;
  std::string readPositionCommand;
  std::string setPositionCommandRel;
  std::string setPositionCommand;
  std::string readMagnificationCommand;
};

#endif
